Subject: bug#64310: 29.0.92; pure-GTK warning under Wayland

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jul 2023 11:41:16 +0300

Ping!  Pankaj, can you please answer Po Lu's questions, so that we
could continue investigating this issue?

> Cc: [email-masked]
> Date: Wed, 28 Jun 2023 08:26:15 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Pankaj Jangid <[email-masked]> writes:
> 
> > Sorry for reporting this so late. I am using pure-GTK build since about
> > a year ago and this problem was first observed a few months ago, but I
> > am reporting it now because it occurred on my system again today.
> >
> > I am on a Wayland system (Debian 12 Bookworm). My system is configured
> > to use Gnus as default mailto sender. It opens the message window but
> > also opens a warning that says, "You are trying to run Emacs configured
> > with the "pure-GTK" interface under X Window System". This warning
> > doesn't appear when I start Emacs normally. Only occurs when "mailto:"
> > is triggered from other application like browser. I am 100% sure that I
> > am using Wayland. Because the value of $XDG_SESSION_TYPE is
> > "wayland". And "WaylandEnable=false" is commented in my system's
> > "/etc/gdm3/daemon.conf".
> 
> This dialog cannot be displayed if Emacs is using the GDK Wayland
> backend.  Perhaps the WAYLAND_DISPLAY environment variable was not set
> when Emacs was started to handle the mailto URI.
> 
> How did you configure Emacs to handle such URIs?
> 
> 
> 
>